@prefix lv2:   <http://lv2plug.in/ns/lv2core#> .
@prefix foaf:  <http://xmlns.com/foaf/0.1/> .
@prefix doap:  <http://usefulinc.com/ns/doap#> .
@prefix rdfs:  <http://www.w3.org/2000/01/rdf-schema#> .
@prefix units: <http://lv2plug.in/ns/extension/units#> .
@prefix uiext: <http://lv2plug.in/ns/extensions/ui#> .
@prefix epp:   <http://lv2plug.in/ns/dev/extportinfo#> .
@prefix dc:    <http://dublincore.org/documents/dcmi-namespace/> .
@prefix pg:    <http://lv2plug.in/ns/dev/port-groups#> .


<http://invadarecords.com/plugins/lv2/erreverb/gui>
    a uiext:GtkUI;
    uiext:binary <inv_erreverb_gui.so>;
    uiext:requiredFeature uiext:makeResident ;
    uiext:optionalFeature uiext:noUserResize ;

    uiext:portNotification [ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/erreverb/mono> ;
        uiext:portIndex 14 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/erreverb/mono> ;
        uiext:portIndex 15 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/erreverb/mono> ;
        uiext:portIndex 16 ;
    ] ;

    uiext:portNotification [ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/erreverb/sum> ;
        uiext:portIndex 14 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/erreverb/sum> ;
        uiext:portIndex 15 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/erreverb/sum> ;
        uiext:portIndex 16 ;
    ] .

<http://invadarecords.com/plugins/lv2/erreverb/mono#out> 
    a pg:Group ;
    a pg:StereoGroup ;
    lv2:symbol "out" .

<http://invadarecords.com/plugins/lv2/erreverb/mono> 
    a lv2:Plugin, lv2:ReverbPlugin ;
    doap:name "Invada Early Reflection Reverb (mono in)" ;
    doap:developer [
	foaf:name "Fraser Stuart";
	foaf:homepage <https://launchpad.net/invada-studio> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:maintainer [
	foaf:name "Invada";
	foaf:homepage <http://www.invadarecords.com/Downloads.php?ID=00000264> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:license <http://usefulinc.com/doap/licenses/gpl> ;
    lv2:optionalFeature lv2:hardRtCapable ;
    uiext:ui <http://invadarecords.com/plugins/lv2/erreverb/gui> ;
    dc:replaces <urn:ladspa:3311> ;

    lv2:port [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 0 ;
	lv2:symbol "bypass" ;
	lv2:name "Bypass" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 1 ;
	lv2:symbol "roomLength" ;
	lv2:name "Room Length" ;
	lv2:default 25 ;
	lv2:minimum 3 ;
	lv2:maximum 100 ;
	units:unit units:m ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 2 ;
	lv2:symbol "roomWidth" ;
	lv2:name "Room Width" ;
	lv2:default 30 ;
	lv2:minimum 3 ;
	lv2:maximum 100 ;
	units:unit units:m ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 3 ;
	lv2:symbol "roomHeight" ;
	lv2:name "Room Height" ;
	lv2:default 10 ;
	lv2:minimum 3 ;
	lv2:maximum 30 ;
	units:unit units:m ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 4 ;
	lv2:symbol "sourceLR" ;
	lv2:name "Source Pan" ;
	lv2:default -0.01 ;
	lv2:minimum -1.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 5 ;
	lv2:symbol "sourceFB" ;
	lv2:name "Source (F/B)" ;
	lv2:default 0.8 ;
	lv2:minimum 0.5 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 6 ;
	lv2:symbol "listLR" ;
	lv2:name "Listener Pan" ;
	lv2:default 0.01 ;
	lv2:minimum -1.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 7 ;
	lv2:symbol "listFB" ;
	lv2:name "Listener (F/B)" ;
	lv2:default 0.2 ;
	lv2:minimum 0.0 ;
	lv2:maximum 0.5 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 8 ;
	lv2:symbol "hpf" ;
	lv2:name "HPF" ;
	lv2:default 1000.0 ;
	lv2:minimum 20.0 ;
	lv2:maximum 2000.0 ;
	units:unit units:hz ;
        lv2:portProperty epp:logarithmic ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 9 ;
	lv2:symbol "warmth" ;
	lv2:name "Warmth" ;
	lv2:default 50.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 100.0 ;
	units:unit units:pc ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 10 ;
	lv2:symbol "diffusion" ;
	lv2:name "Diffusion" ;
	lv2:default 50.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 100.0 ;
	units:unit units:pc ;
    ] , [
	a lv2:OutputPort, lv2:AudioPort ;
	lv2:index 11 ;
	lv2:symbol "outL" ;
	lv2:name "L Out" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/erreverb/mono#out> ;
	pg:role pg:leftChannel ;
    ] , [
	a lv2:OutputPort, lv2:AudioPort ;
	lv2:index 12 ;
	lv2:symbol "outR" ;
	lv2:name "R Out" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/erreverb/mono#out> ;
	pg:role pg:rightChannel ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 13 ;
	lv2:symbol "in" ;
	lv2:name "In" ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 14 ;
	lv2:symbol "meterIn" ;
	lv2:name "In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 15 ;
	lv2:symbol "meterOutL" ;
	lv2:name "L Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 16 ;
	lv2:symbol "meterOutR" ;
	lv2:name "R Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ]
.

<http://invadarecords.com/plugins/lv2/erreverb/sum#in> 
    a pg:Group ;
    a pg:StereoGroup ;
    lv2:symbol "in" .
  
<http://invadarecords.com/plugins/lv2/erreverb/sum#out> 
    a pg:Group ;
    a pg:StereoGroup ;
    lv2:symbol "out" .

<http://invadarecords.com/plugins/lv2/erreverb/sum> 
    a lv2:Plugin, lv2:ReverbPlugin ;
    doap:name "Invada Early Reflection Reverb (sum L+R in)" ;
    doap:developer [
	foaf:name "Fraser Stuart";
	foaf:homepage <https://launchpad.net/invada-studio> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:maintainer [
	foaf:name "Invada";
	foaf:homepage <http://www.invadarecords.com/Downloads.php?ID=00000264> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:license <http://usefulinc.com/doap/licenses/gpl> ;
    lv2:optionalFeature lv2:hardRtCapable ;
    uiext:ui <http://invadarecords.com/plugins/lv2/erreverb/gui> ;
    dc:replaces <urn:ladspa:3312> ;

    lv2:port [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 0 ;
	lv2:symbol "bypass" ;
	lv2:name "Bypass" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 1 ;
	lv2:symbol "roomLength" ;
	lv2:name "Room Length" ;
	lv2:default 25 ;
	lv2:minimum 3 ;
	lv2:maximum 100 ;
	units:unit units:m ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 2 ;
	lv2:symbol "roomWidth" ;
	lv2:name "Room Width" ;
	lv2:default 30 ;
	lv2:minimum 3 ;
	lv2:maximum 100 ;
	units:unit units:m ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 3 ;
	lv2:symbol "roomHeight" ;
	lv2:name "Room Height" ;
	lv2:default 10 ;
	lv2:minimum 3 ;
	lv2:maximum 30 ;
	units:unit units:m ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 4 ;
	lv2:symbol "sourceLR" ;
	lv2:name "Source Pan" ;
	lv2:default -0.01 ;
	lv2:minimum -1.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 5 ;
	lv2:symbol "sourceFB" ;
	lv2:name "Source (F/B)" ;
	lv2:default 0.8 ;
	lv2:minimum 0.5 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 6 ;
	lv2:symbol "listLR" ;
	lv2:name "Listener Pan" ;
	lv2:default 0.01 ;
	lv2:minimum -1.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 7 ;
	lv2:symbol "listFB" ;
	lv2:name "Listener (F/B)" ;
	lv2:default 0.2 ;
	lv2:minimum 0.0 ;
	lv2:maximum 0.5 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 8 ;
	lv2:symbol "hpf" ;
	lv2:name "HPF" ;
	lv2:default 1000.0 ;
	lv2:minimum 20.0 ;
	lv2:maximum 2000.0 ;
	units:unit units:hz ;
        lv2:portProperty epp:logarithmic ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 9 ;
	lv2:symbol "warmth" ;
	lv2:name "Warmth" ;
	lv2:default 50.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 100.0 ;
	units:unit units:pc ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 10 ;
	lv2:symbol "diffusion" ;
	lv2:name "Diffusion" ;
	lv2:default 50.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 100.0 ;
	units:unit units:pc ;
    ] , [
	a lv2:OutputPort, lv2:AudioPort ;
	lv2:index 11 ;
	lv2:symbol "outL" ;
	lv2:name "L Out" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/erreverb/sum#out> ;
	pg:role pg:leftChannel ;
    ] , [
	a lv2:OutputPort, lv2:AudioPort ;
	lv2:index 12 ;
	lv2:symbol "outR" ;
	lv2:name "R Out" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/erreverb/sum#out> ;
	pg:role pg:rightChannel ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 13 ;
	lv2:symbol "inL" ;
	lv2:name "L In" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/erreverb/sum#in> ;
	pg:role pg:leftChannel ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 14 ;
	lv2:symbol "meterIn" ;
	lv2:name "In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 15 ;
	lv2:symbol "meterOutL" ;
	lv2:name "L Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 16 ;
	lv2:symbol "meterOutR" ;
	lv2:name "R Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 17 ;
	lv2:symbol "inR" ;
	lv2:name "R In" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/erreverb/sum#in> ;
	pg:role pg:rightChannel ;
    ] .

